SDL_CleanupTLS(3)

NAME
SDL_CleanupTLS - Cleanup all TLS data for this thread.

HEADER FILE
Defined in SDL3/SDL_thread.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_CleanupTLS(void);

DESCRIPTION
If you are creating your threads outside of SDL and then calling SDL functions, you should call this function before your thread exits, to properly clean up SDL memory.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.